# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/media-libs/OSG-OpenSceneGraph/OSG-OpenSceneGraph-0.9.8.2.ebuild,v 1.3 2005/05/22 04:41:26 ozkubo Exp $

inherit eutils

DESCRIPTION="The OpenSceneGraph is an open source high peformance 3D graphics toolkit, used by application developers in fields such as visual simulation, games, virtual reality, scientific visualization and modelling. Written entirely in Standard C++ and OpenGL it runs on all Windows platforms, OSX, GNU/Linux, Linux64, IRIX, Solaris and FreeBSD operating systems. "
SRC_URI="http://www.openscenegraph.org/downloads/snapshots/OSG_OP_OT-0.9.8-2.zip"
HOMEPAGE="http://www.openscenegraph.org/"

SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	app-arch/unzip
	media-libs/jpeg
	media-libs/tiff
	media-libs/libungif
	media-libs/OSG-OpenThreads
	media-libs/OSG-Producer
"

KEYWORDS="x86"

S=${WORKDIR}/OSG_OP_OT-0.9.8-2/OpenSceneGraph

src_compile() {
	make INST_LOCATION=/usr || die
}
src_install() {
	make INST_LOCATION=${D}/usr install
}
