# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-libs/spades/spades-1.10-r2.ebuild,v 1.1 2006/09/06 03:39:10 akky Exp $

inherit eutils

DESCRIPTION="SPADES is a middleware system. It is designed to handle some of the tricky parts of running a distributed simulation for the aritficial intelligence community without being tied to any one particular simulation."

SRC_URI="mirror://sourceforge/spades-sim/${P}.tar.gz"
HOMEPAGE="http://spades-sim.sourceforge.net/"

IUSE="static noperfctr"
SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
    !noperfctr? ( sys-libs/perfctr )
	>=virtual/jdk-1.4
	>=dev-libs/expat-1.95.7
"
LICENSE="LGPL-2.1"

PREFIX="/opt/robocup"
KEYWORDS="x86"
#PROVIDE="virtual/spades"

src_unpack() {
	unpack ${A}
	cd ${S}

  epatch ${FILESDIR}/spades-1.10-gcc41-num_clone_args.patch
}

src_compile() {
	./configure \
		--prefix=${PREFIX} \
		--with-fork-dynlib-loc=/lib/libc.so.6 \
		`use_enable static`
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
