# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-libs/spades/spades-1.10.ebuild,v 1.2 2005/06/05 06:17:19 ozkubo Exp $

DESCRIPTION="SPADES is a middleware system. It is designed to handle some of the tricky parts of running a distributed simulation for the aritficial intelligence community without being tied to any one particular simulation."

SRC_URI="mirror://sourceforge/spades-sim/${P}.tar.gz"
HOMEPAGE="http://spades-sim.sourceforge.net/"

IUSE="static"
SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	>=virtual/jdk-1.4
	>=dev-libs/expat-1.95.7
"
LICENSE="LGPL-2.1"

PREFIX="/opt/robocup"
KEYWORDS="x86"
#PROVIDE="virtual/spades"

src_compile() {
	./configure \
		--prefix=${PREFIX} \
		--with-fork-dynlib-loc=/lib/libc.so.6 \
		`use_enable static`
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
