# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver/rcssserver-10.0.7-r4.ebuild,v 1.2 2006/07/13 01:25:03 akky Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

IUSE=""
#IUSE="rcss-oldboost"

SLOT=""
RDEPEND="
	sci-misc/robocup-env
	=sci-misc/rcssmonitor-10*
"
# can't	compile robocup-base/rcsslogplayer
#	>=sci-misc/rcssmonitor_classic-10

DEPEND="${RDEPEND}
	sys-devel/autoconf
	>=sci-misc/rcssbase-10.0.11-r1
"

LICENSE="LGPL-2.1"


KEYWORDS="x86"


PREFIX="/opt/robocup"

#pkg_setup() {

#}


src_unpack() {
	unpack ${A}
	cd ${S}

	epatch ${FILESDIR}/rcssserver-10.0.7-auto_mode-gcc41.patch
	epatch ${FILESDIR}/rcssserver-10.0.7-auto_mode-kill.patch
}

src_compile() {
	export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib"
	export CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include"
	export CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include/rcssbase"
	export LLIMPORTER_PATH="${PREFIX}/bin"
	export RCSSBASE=${PREFIX}

	./configure --prefix=${PREFIX} || die

	export PATH=$PATH:$LLIMPORTER_PATH
	make || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
