# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rescue/rescue-0.46_alpha.ebuild,v 1.1 2005/05/01 06:39:27 ozkubo Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/roborescue/rescue-0_46alpha-unix.tar.gz"
HOMEPAGE="http://roborescue.sourceforge.net/"

SLOT="0.46_alpha"
RDEPEND="robocup-base/robocup-env"
DEPEND="${RDEPEND}
        >=virtual/jdk-1.4
"

KEYWORDS="~amd64 x86 ~ppc ~sparc ~alpha"
PREFIX="/opt/robocup"

S=${WORKDIR}/rescue-0_46alpha-unix/program

src_install() {
	mkdir -p ${D}/opt/robocup/rescue
	mv ${WORKDIR}/rescue-0_46alpha-unix ${D}/opt/robocup/rescue
}
