# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-libs/spades-cvs/spades-cvs-20040224.ebuild,v 1.4 2004/11/29 16:53:01 ozkubo Exp $

inherit eutils cvs

ECVS_SERVER="cvs.sourceforge.net:/cvsroot/spades-sim"
ECVS_MODULE="spades"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"
S=${WORKDIR}/${ECVS_MODULE}

 
DESCRIPTION="SPADES is a middleware system. It is designed to handle some of the tricky parts of running a distributed simulation for the aritficial intelligence community without being tied to any one particular simulation."

SRC_URI=""
HOMEPAGE="http://spades-sim.sourceforge.net/"

IUSE=""
SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	>=sys-devel/automake-1.7*
	>=sys-devel/autoconf-2.5*
	>=virtual/jdk-1.4
	>=dev-libs/expat-1.95.7
"
LICENSE="LGPL-2.1"

PREFIX="/opt/robocup"
KEYWORDS="~amd64 x86 ~ppc ~sparc ~alpha"
PROVIDE="virtual/spades"

src_compile() {
	#cp ${FILESDIR}/bootstrap .
	export WANT_AUTOCONF=2.5
	export WANT_AUTOMAKE=1.7
	chmod +x bootstrap
	./bootstrap
	( cd libltdl; autoconf );
	./configure --prefix=${PREFIX} --with-fork-dynlib-loc=/lib/libc.so.6 || die
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
