# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/Soccer_Viewer/Soccer_Viewer-20041011-r1.ebuild,v 1.1 2005/07/21 20:33:55 akky Exp $

inherit eutils

DESCRIPTION="Yet another soccer monitor for debugging."
SRC_URI="http://www.i.his.fukui-u.ac.jp/~shimora/RoboCup/${P}.tar.gz"
HOMEPAGE="http://www.i.his.fukui-u.ac.jp/~shimora/RoboCup"

IUSE=""
SLOT=""
RDEPEND="sci-misc/robocup-env"
DEPEND="${RDEPEND}
	=dev-cpp/gtkmm-1.2*
	=dev-lang/perl-5*
"
LICENSE="GPL-2"

KEYWORDS="~amd64 x86 ~ppc ~sparc ~alpha"

PREFIX="/opt/robocup"

src_unpack() {
	unpack ${A}
	epatch ${FILESDIR}/Soccer_Viewer-20041011-r1.diff
#	cd ${S}/src/soccer_viewer/debug_server
#	epatch ${FILESDIR}/active_repository.cc-20030518-gentoo.diff
#	cd ${S}/src/soccer_viewer/viewer_library
#	epatch ${FILESDIR}/field_canvas.cc-20030518-gentoo.diff
}

src_compile() {
	emake || die
}

src_install() {
	into ${PREFIX}
	dobin bin/soccer_viewer
}
