# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcsslogplayer/rcsslogplayer-9.3.7.ebuild,v 1.2 2004/11/29 16:53:00 ozkubo Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"


IUSE=""
SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	robocup-base/rcssbase
"
LICENSE="LGPL-2.1"

KEYWORDS="~amd64 x86 ~ppc ~sparc ~alpha"

PREFIX="/opt/robocup"

src_compile() {
	export LDFLAGS="-L${PREFIX}/lib"
	export CXXFLAGS="-I${PREFIX}/include"

	./configure --prefix=${PREFIX} || die
	emake || die
}

src_install() {
	make DESTDIR=${D} install || die "make install failed"
}
