# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssmonitor/rcssmonitor-10.0.0-r2.ebuild,v 1.2 2006/07/13 01:25:03 akky Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

#IUSE="rcss-oldboost"
IUSE=""

SLOT=""
RDEPEND=""
DEPEND="${RDEPEND}
	=sci-misc/rcssbase-10*
	virtual/x11
	sys-devel/automake
"
LICENSE="LGPL-2.1"

KEYWORDS="x86"

PREFIX="/opt/robocup"

#pkg_setup() {
#
#    if use rcss-oldboost ; then
#        if ! built_with_use sci-misc/rcssbase rcss-oldboost ; then
#            eerror "You need to install rcssbase with old boost headers(included rcssbase archive). Try:"
#            eerror "USE='rcss-oldboost' emerge rcssbase"
#            die "old boost headers install missing from rcssbase"
#        fi
#	else
#        if built_with_use sci-misc/rcssbase rcss-oldboost ; then
#            eerror "You need to install rcssbase without old boost headers(included rcssbase archive). Try:"
#            eerror "emerge rcssbase"
#            die "rcssbase is not compiled with recent boost headers"
#        fi
#	fi
#
#}

src_unpack() {
    unpack ${A}
    cd ${S}
    epatch ${FILESDIR}/rcssmonitor-10.0.0-auto_quit-gcc345.patch
}

src_compile() {
	export LDFLAGS="${LDFLAGS} -L${PREFIX}/lib"
	export CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include"

#	if useq rcss-oldboost ; then
		export CPPFLAGS="${CPPFLAGS} -I${PREFIX}/include/rcssbase"
#	fi

	automake --add-missing
	./configure --prefix=${PREFIX} || die
	emake || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
