# $Header: /cvsroot/rc-oz/RoboCupPortage/portage/sci-misc/rcssserver/rcssserver-10.0.7-r1.ebuild,v 1.1 2005/07/28 04:36:24 akky Exp $

inherit eutils

DESCRIPTION="The RoboCup Soccer Simulator is a research and educational tool for multi-agent systems and artificial intelligence. It enables for two teams of 11 simulated autonomous robotic players to play soccer (football)."
SRC_URI="mirror://sourceforge/sserver/${P}.tar.bz2"
HOMEPAGE="http://sserver.sourceforge.net/"

IUSE=""
#IUSE="rcss-oldboost"

SLOT=""
RDEPEND="
	sci-misc/robocup-env
	=sci-misc/rcssmonitor-10*
"
# can't	compile robocup-base/rcsslogplayer
#	>=sci-misc/rcssmonitor_classic-10

DEPEND="${RDEPEND}
	sys-devel/autoconf
	=sci-misc/rcssbase-10.0.11
"

LICENSE="LGPL-2.1"


KEYWORDS="x86"


PREFIX="/opt/robocup"

#pkg_setup() {
#
#    if use rcss-oldboost ; then
#        if ! built_with_use sci-misc/rcssbase rcss-oldboost ; then
#            eerror "You need to install rcssbase with old boost headers(included rcssbase archive). Try:"
#            eerror "USE='rcss-oldboost' emerge rcssbase"
#            die "old boost headers install missing from rcssbase"
#        fi
#	else
#        if built_with_use sci-misc/rcssbase rcss-oldboost ; then
#            eerror "You need to install rcssbase without old boost headers(included rcssbase archive). Try:"
#            eerror "emerge rcssbase"
#            die "rcssbase is not compiled with recent boost headers"
#        fi
#	fi
#
#}


src_unpack() {
	unpack ${A}
	cd ${S}

	epatch ${FILESDIR}/src_rcsoccersim.diff
}

src_compile() {
	export LDFLAGS="-L${PREFIX}/lib"
	export CXXFLAGS="-I${PREFIX}/include"
	export LLIMPORTER_PATH="${PREFIX}/bin"
	export RCSSBASE=${PREFIX}
	export CXXFLAGS="${CXXFLAGS} -I${PREFIX}/include/rcssbase" 

#	automake --add-missing
	autoreconf --install --force

	./configure --prefix=${PREFIX} || die

	export PATH=$PATH:$LLIMPORTER_PATH
	make || die
}

src_install() {
	emake DESTDIR=${D} install || die
}
